## org.apache.batik.css.dom
Class CSSOMStyleDeclaration

    java.lang.Object
      org.apache.batik.css.dom.CSSOMStyleDeclaration

All Implemented Interfaces:
  org.w3c.dom.css.CSSStyleDeclaration

Direct Known Subclasses:
  CSSOMSVGStyleDeclaration

public class CSSOMStyleDeclaration
extends java.lang.Object
implements org.w3c.dom.css.CSSStyleDeclaration

This class represents a style declaration.

Nested Class Summary
`static interface` `CSSOMStyleDeclaration.ModificationHandler` To manage the modifications on a CSS value.
`class` `CSSOMStyleDeclaration.StyleDeclarationValue` This class represents a CSS value returned by this declaration.
`static interface` `CSSOMStyleDeclaration.ValueProvider` To provides the values.

Field Summary
`protected CSSOMStyleDeclaration.ModificationHandler` `handler` The modifications handler.
`protected org.w3c.dom.css.CSSRule` `parentRule` The parent rule.
`protected CSSOMStyleDeclaration.ValueProvider` `valueProvider` The associated value.
`protected java.util.Map` `values` The values.

Constructor Summary
`CSSOMStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp, org.w3c.dom.css.CSSRule parent)` Creates a new style declaration.

Method Summary
`protected org.w3c.dom.css.CSSValue` `createCSSValue(java.lang.String name)` Creates the CSS value associated with the given property.
`java.lang.String` `getCssText()` DOM: Implements `CSSStyleDeclaration.getCssText()`.
`protected org.w3c.dom.css.CSSValue` `getCSSValue(java.lang.String name)` Gets the CSS value associated with the given property.
`int` `getLength()` DOM: Implements `CSSStyleDeclaration.getLength()`.
`org.w3c.dom.css.CSSRule` `getParentRule()` DOM: Implements `CSSStyleDeclaration.getParentRule()`.
`org.w3c.dom.css.CSSValue` `getPropertyCSSValue(java.lang.String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyCSSValue(String)`.
`java.lang.String` `getPropertyPriority(java.lang.String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyPriority(String)`.
`java.lang.String` `getPropertyValue(java.lang.String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyValue(String)`.
`java.lang.String` `item(int index)` DOM: Implements `CSSStyleDeclaration.item(int)`.
`java.lang.String` `removeProperty(java.lang.String propertyName)` DOM: Implements `CSSStyleDeclaration.removeProperty(String)`.
`void` `setCssText(java.lang.String cssText)` DOM: Implements `CSSStyleDeclaration.setCssText(String)`.
`void` `setModificationHandler(CSSOMStyleDeclaration.ModificationHandler h)` Sets the modification handler of this value.
`void` `setProperty(java.lang.String propertyName, java.lang.String value, java.lang.String prio)` DOM: Implements `CSSStyleDeclaration.setProperty(String,String,String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### valueProvider

    protected CSSOMStyleDeclaration.ValueProvider valueProvider

  The associated value.

### handler

    protected CSSOMStyleDeclaration.ModificationHandler handler

  The modifications handler.

### parentRule

    protected org.w3c.dom.css.CSSRule parentRule

  The parent rule.

### values

    protected java.util.Map values

  The values.

Constructor Detail

### CSSOMStyleDeclaration

    public CSSOMStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp,
                                 org.w3c.dom.css.CSSRule parent)

  Creates a new style declaration.

Method Detail

### setModificationHandler

    public void setModificationHandler(CSSOMStyleDeclaration.ModificationHandler h)

  Sets the modification handler of this value.

### getCssText

    public java.lang.String getCssText()

  DOM: Implements `CSSStyleDeclaration.getCssText()`.

  Specified by:
    `getCssText` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### setCssText

    public void setCssText(java.lang.String cssText)
                    throws org.w3c.dom.DOMException

  DOM: Implements `CSSStyleDeclaration.setCssText(String)`.

  Specified by:
    `setCssText` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Throws:
    `org.w3c.dom.DOMException`

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyValue(String)`.

  Specified by:
    `getPropertyValue` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### getPropertyCSSValue

    public org.w3c.dom.css.CSSValue getPropertyCSSValue(java.lang.String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyCSSValue(String)`.

  Specified by:
    `getPropertyCSSValue` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### removeProperty

    public java.lang.String removeProperty(java.lang.String propertyName)
                                    throws org.w3c.dom.DOMException

  DOM: Implements `CSSStyleDeclaration.removeProperty(String)`.

  Specified by:
    `removeProperty` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Throws:
    `org.w3c.dom.DOMException`

### getPropertyPriority

    public java.lang.String getPropertyPriority(java.lang.String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyPriority(String)`.

  Specified by:
    `getPropertyPriority` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            java.lang.String value,
                            java.lang.String prio)
                     throws org.w3c.dom.DOMException

  DOM: Implements `CSSStyleDeclaration.setProperty(String,String,String)`.

  Specified by:
    `setProperty` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Throws:
    `org.w3c.dom.DOMException`

### getLength

    public int getLength()

  DOM: Implements `CSSStyleDeclaration.getLength()`.

  Specified by:
    `getLength` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### item

    public java.lang.String item(int index)

  DOM: Implements `CSSStyleDeclaration.item(int)`.

  Specified by:
    `item` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### getParentRule

    public org.w3c.dom.css.CSSRule getParentRule()

  DOM: Implements `CSSStyleDeclaration.getParentRule()`.

  Specified by:
    `getParentRule` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### getCSSValue

    protected org.w3c.dom.css.CSSValue getCSSValue(java.lang.String name)

  Gets the CSS value associated with the given property.

### createCSSValue

    protected org.w3c.dom.css.CSSValue createCSSValue(java.lang.String name)

  Creates the CSS value associated with the given property.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.